- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ExecutionScope
Full name: projects.locations.instances.legacyCases.executeManualAction
Executes a single action on specific entities scopes on selected alerts within a case. Supports predefined scopes or manual entity selection and records the action execution in the case wall.
HTTP request
POST https://{endpoint}/v1alpha/{name}/legacyCases:executeManualAction
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the LegacyCase to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/LegacyCases |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "caseId": string, "targetEntities": [ { object ( |
| Fields | |
|---|---|
caseId |
Required. CaseId is the ID of the case associated with the manual action. |
targetEntities[] |
Optional. TargetEntities is a list of entities targeted by the manual action. |
properties |
Optional. Properties is a dictionary of properties associated with the manual action. An object containing a list of |
actionProvider |
Required. ActionProvider is the provider of the action. |
actionName |
Required. ActionName is the name of the action. |
scope |
Optional. Scope is the scope of the action. |
alertGroupIdentifiers[] |
Optional. AlertGroupIdentifiers is a list of identifiers for alert groups. |
executionScope |
Optional. Defines the execution scope of an action. If this field is not provided, it defaults to |
isPredefinedScope |
Optional. IsPredefinedScope indicates if the scope is predefined. |
distinctDuplicateEntities |
Optional. DistinctDuplicateEntities indicates whether the action should be executed only once per unique entity, filtering out duplicates to avoid multiple executions on the same entity. |
Response body
If successful, the response body contains an instance of ApiActionResultDataModel.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.legacyCases.runManualAction
For more information, see the IAM documentation.
ExecutionScope
Defines the scope for which an action is designed to be executed.
| Enums | |
|---|---|
EXECUTION_SCOPE_UNSPECIFIED |
The scope is unspecified. |
ALERT |
The action is attached to an alert. |
CASE |
The action is attached to a case. |